Bug 173212 - Metacity segfaults during print from application
Metacity segfaults during print from application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 18:57 EST by James
Modified: 2014-06-18 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 16:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2005-11-14 18:57:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When printing from Mathematica 5.0, Metacity crashed immediately after the Print dialog box disappeared. The crashing was repeatable within that Mathematica session, but subsequent sessions did not produce the fault. (This has been observed with other applications as well, but I cannot remember where.) BlueCurve theme was active at the time.

Version-Release number of selected component (if applicable):
metacity-2.10.3-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Print a Mathematica notebook (either to file or lpr).

Actual Results:  Metacity segfaults.

Expected Results:  No crash.

Additional info:

I've obtained a core dump of Metacity for further study. Anyone interested, let me know and I'll post it (it's ~2.5 Mb). The backtrace from gdb reads

#0  0x08065fae in meta_frame_queue_draw ()
#1  0x0805a226 in ag_Xmalloc0 ()
#2  0x00625fe6 in g_main_context_wakeup () from /usr/lib/libglib-2.0.so.0
#3  0x006244ce in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#4  0x006274d6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#5  0x006277c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#6  0x080703a2 in main ()

Note You need to log in before you can comment on or make changes to this bug.